Summary:	MuPDF - lightweight PDF, XPS and CBZ viewer and parser/rendering library
Summary(pl.UTF-8):	MuPDF - lekka przeglądarka PDF, XPS, CBZ
Name:		mupdf
Version:	1.14.0
Release:	3
License:	AGPL v3+
Group:		Applications/Text
Source0:	https://www.mupdf.com/downloads/archive/%{name}-%{version}-source.tar.gz
# Source0-md5:	98adc2f430cc7900397ab50a478485c5
Patch0:		%{name}-shared.patch
URL:		https://www.mupdf.com/
BuildRequires:	OpenGL-glut-devel
BuildRequires:	curl-devel >= 7.51.0
BuildRequires:	freetype-devel >= 1:2.9.1
BuildRequires:	harfbuzz-devel >= 1.9.0
BuildRequires:	jbig2dec-devel >= 0.14
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	mujs-devel >= 1.0.4
BuildRequires:	openjpeg2-devel >= 2.3.0
BuildRequires:	openssl-devel >= 1.1.0
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	zlib-devel >= 1.2.11
Requires:	curl-libs >= 7.51.0
Requires:	freetype >= 1:2.9.1
Requires:	harfbuzz >= 1.9.0
Requires:	jbig2dec >= 0.14
Requires:	openjpeg2 >= 2.3.0
Requires:	zlib >= 1.2.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MuPDF is a lightweight PDF, XPS and CBZ viewer.

%description -l pl.UTF-8
MuPDF to lekka przeglądarka pliki PDF, XPS i CBZ.

%package libs
Summary:	Shared MuPDF libraries
Summary(pl.UTF-8):	Biblioteki współdzielone MuPDF
Group:		Libraries
Requires:	freetype >= 1:2.9.1
Requires:	jbig2dec >= 0.14
Requires:	mujs
Requires:	openjpeg2
Requires:	openssl >= 1.1.0
Requires:	zlib >= 1.2.11

%description libs
Shared MuPDF libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone MuPDF.

%package devel
Summary:	Header files for MuPDF libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek MuPDF
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	freetype-devel >= 1:2.9.1
Requires:	jbig2dec-devel >= 0.14
Requires:	libjpeg-devel
Requires:	libstdc++-devel
Requires:	mujs-devel >= 1.0.4
Requires:	openjpeg2-devel >= 2.3.0
Requires:	openssl-devel >= 1.1.0
Requires:	zlib-devel >= 1.2.11

%description devel
Header files for MuPDF libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek MuPDF.

%package static
Summary:	Static MuPDF libraries
Summary(pl.UTF-8):	Statyczne biblioteki MuPDF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MuPDF libraries.

%description static -l pl.UTF-8
Statyczne biblioteki MuPDF.

%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p1

# use system libs instead:
# curl 7.51.0
# freetype 2.9.1
# harfbuzz 1.9.0 + git update (nothing crucial)
# jbig2dec 0.14
# libjpeg 9
# mujs ?
# openjpeg 2.3.0
# zlib 1.2.11
%{__rm} -r thirdparty/{curl,freetype,jbig2dec,libjpeg,mujs,openjpeg,zlib}
# but keep:
# freeglut - 3.0.0 + some additional keyboard and clipboard APIs
# lcms2 - "art" fork with tread safety

%build
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make} -j1 \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	SYS_OPENJPEG_CFLAGS="$(pkg-config --cflags libopenjp2)" \
	USE_SYSTEM_LIBS=yes \
	USE_SYSTEM_MUJS=yes \
	build=release \
	libdir=%{_libdir} \
	verbose=yes

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	USE_SYSTEM_LIBS=yes \
	USE_SYSTEM_MUJS=yes \
	build=release \
	prefix=%{_prefix} \
	libdir=%{_libdir}

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/mupdf

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES CONTRIBUTORS README docs/{index,manual*,thirdparty}.html
%attr(755,root,root) %{_bindir}/mupdf-gl
%attr(755,root,root) %{_bindir}/mupdf-x11
%attr(755,root,root) %{_bindir}/mutool
%{_mandir}/man1/mupdf.1*
%{_mandir}/man1/mutool.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmupdf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmupdf.so.0
%attr(755,root,root) %{_libdir}/libmupdf-third.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmupdf-third.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmupdf.so
%attr(755,root,root) %{_libdir}/libmupdf-third.so
%{_libdir}/libmupdf.la
%{_libdir}/libmupdf-third.la
%{_includedir}/mupdf

%files static
%defattr(644,root,root,755)
%{_libdir}/libmupdf.a
%{_libdir}/libmupdf-third.a
%changelog
* Sun Oct 21 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mupdf.git;a=log;h=master

* Sun Oct 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 1f72a42
- fixed curl dependency, release 3

* Sat Oct 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 5622ca8
- shared patch and -libs/-devel/-static are back (used by zathura-pdf-mupdf plugin); release 2

* Sat Oct 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 6e4f486
- updated to 1.14.0

* Sun Aug 19 2018 Jan Rękorajski <baggins@pld-linux.org> 67eba3a
- do not require obsolete package
- rel 2

* Sun Aug 19 2018 Jan Rękorajski <baggins@pld-linux.org> 9c9c03d
- drops post(up) scriptlets

* Sun Aug 19 2018 Jan Rękorajski <baggins@pld-linux.org> 9db2cb4
- removed obsolete patch

* Sun Aug 19 2018 Jan Rękorajski <baggins@pld-linux.org> 0845671
- up to 1.13.0
- drop the whole unused, unneeded devel/lib stuff

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> 5317134
- rebuild without libjpeg.la
- release 2 (by relup.sh)

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> edbf304
- updated to 1.9a
- updated shared patch, removed outdated mujs patch
- v8 no longer supported

* Mon Apr 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 73677cf
- non-parallel build

* Fri Apr 15 2016 Jakub Bogusz <qboosh@pld-linux.org> f81d51d
- updated to 1.8 (note: needs ~2016 mujs, mudraw is gone)
- updated shared patch
- added mujs patch (adapt to current mujs)

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 6d5cd20
- updated to 1.6
- updated openjpeg,shared patches
- removed obsolete curl,v8 patches
- now it uses mujs by default, v8 by bcond

* Tue Nov 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f62b79
- rel 3; build with new openjpeg2

* Tue Nov 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 26a1c07
- release 2 (by relup.sh)

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 973c4d4
- typo

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> f735ca8
- added shared patch, build shared libraries

* Fri Nov 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 80c18e6
- verbose build

* Fri Nov 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 69d32f0
- new
- openjpeg to use system openjpeg 2 instead of 1.x
  (code is already ported to openjpeg 2, included in thirdparty dir)
- curl patch to use system curl
- v8 patch to use system v8

